commit:     2b594db8a968b0c512a33f0e1c155f21279bb1e1
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Aug 20 01:49:41 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Aug 20 01:49:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b594db8

app-arch/pixz-1.0.7: Version bump

Closes: https://bugs.gentoo.org/707474
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-arch/pixz/Manifest          |  1 +
 app-arch/pixz/pixz-1.0.7.ebuild | 51 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-arch/pixz/Manifest b/app-arch/pixz/Manifest
index 97b996b1d4e..d5f9c719c42 100644
--- a/app-arch/pixz/Manifest
+++ b/app-arch/pixz/Manifest
@@ -1 +1,2 @@
 DIST pixz-1.0.6.tar.xz 119516 BLAKE2B 
758a4985b946284587998ab2a653e51ded9838a7c77c7795c82c15c1693714468b07c2cbfd86a0c7ce7be34d9a5bd8fdc3285d503524ce299ba53179447e60ed
 SHA512 
361a8d8b736c350e4e3fd19b5d36777129a087eb81439d05edc08f9378938583bef8fc70e440ffd22efb6dad1f6494c6c3e532d7dd1ab12c9350b6078aa993d7
+DIST pixz-1.0.7.tar.xz 120876 BLAKE2B 
23563837169611d54dc4540715537b2e16c66bd9682097e4f37957e7422b487f221603b11aa30a39fd05c77dbeddc1697ac9ffe208d984c1da885a67f79a180f
 SHA512 
7f343cb74958b9582b60a2e916243e72421fad1ebecc5867c9e046c881e8a318da9bb885edd71da8fe6953fd5d5c2f5119133cd0bbbf4d0f9b35f8aecd61120d

diff --git a/app-arch/pixz/pixz-1.0.7.ebuild b/app-arch/pixz/pixz-1.0.7.ebuild
new file mode 100644
index 00000000000..c6564c5abe3
--- /dev/null
+++ b/app-arch/pixz/pixz-1.0.7.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="https://github.com/vasi/${PN}.git";
+       inherit git-r3 autotools
+else
+       
SRC_URI="https://github.com/vasi/pixz/releases/download/v${PV}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86"
+fi
+
+DESCRIPTION="Parallel Indexed XZ compressor"
+HOMEPAGE="https://github.com/vasi/pixz";
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="static"
+
+LIB_DEPEND="
+       >=app-arch/libarchive-2.8:=[static-libs(+)]
+       >=app-arch/xz-utils-5[static-libs(+)]
+"
+RDEPEND="
+       !static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+"
+DEPEND="${RDEPEND}
+       static? ( ${LIB_DEPEND} )
+"
+[[ ${PV} == "9999" ]] && BDEPEND+=" app-text/asciidoc"
+
+src_prepare() {
+       default
+       [[ ${PV} == "9999" ]] && eautoreconf
+}
+
+src_configure() {
+       use static && append-ldflags -static
+       append-flags -std=gnu99
+       # Workaround silly logic that breaks cross-compiles.
+       # https://github.com/vasi/pixz/issues/67
+       export ac_cv_file_src_pixz_1=$([[ -f src/pixz.1 ]] && echo yes || echo 
no)
+       econf
+}
+
+src_test() {
+       emake check
+}

Reply via email to